<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->
<project xmlns:j="jelly:core"
         xmlns:assert="assert"
         xmlns:u="jelly:util">

  <goal name="testPlugin" prereqs="test-war">
    <attainGoal name="clean"/>
  </goal>
  
  <goal name="test-war">
    <attainGoal name="war"/>
    <j:set var="warFile" value="${maven.build.dir}/test-maven-war-plugin.war"/>
    <j:set var="warDir" value="${maven.build.dir}/test-maven-war-plugin"/>
    <assert:assertFileExists file="${warFile}"/>
    <assert:assertFileExists file="${warDir}/WEB-INF/lib/commons-logging-1.0.3.jar"/>

    <!-- check for manifest contents -->
    <!-- a) Make sure existing manifest gets merged -->
    <j:set var="unzipDir" value="${maven.build.dir}/unzippedWar"/>
    <mkdir dir="${unzipDir}"/>
    <unzip src="${warFile}" dest="${unzipDir}"/>
    <u:loadText var="manifest" file="${unzipDir}/META-INF/MANIFEST.MF"/>
    <j:set var="found" value='${manifest.indexOf("Bogus: value") ge 0}'/>
    <j:if test="${!found}">
      <fail>Manifest not merged</fail>
    </j:if>
    <!-- b) Make sure Class-Path entry is created -->
    <j:set var="found" value='${manifest.indexOf("Class-Path:  commons-logging-1.0.3.jar") ge 0}'/>
    <j:if test="${!found}">
      <fail>Class-Path not generated</fail>
    </j:if>
  </goal>
</project>